#version 100
uniform mat4 model_view_projection_mx;
uniform mat4 model_view_mx;
uniform mediump vec2 pixels_to_world_units_ratio;

uniform mediump vec3 attenuation;

attribute vec3 v_position;

#if defined(HAS_POINTSIZE_ATTRIBUTE)
attribute mediump float v_point_size;
#else
uniform mediump float point_size;
#endif

#if defined(VARYING_COLOR)
attribute lowp vec4 v_color;
varying lowp vec4 point_color;
#endif

void main()
{
	gl_Position = model_view_projection_mx * vec4(v_position, 1.0);

	// distance to camera
	mediump float d = length((model_view_mx * vec4(v_position, 1.0)).xyz);

	gl_PointSize = 
#if defined(HAS_POINTSIZE_ATTRIBUTE)
				 v_point_size
#else
				 point_size
#endif
				 * pixels_to_world_units_ratio.x 
				 / sqrt(attenuation.x + attenuation.y * d + attenuation.z * d * d);

#if defined(VARYING_COLOR)
	point_color = v_color;	
#endif
}

