#version 100

uniform lowp sampler2D diffuse_texture;

#if defined(CONSTANT_COLOR)
uniform lowp vec4 global_color;

#elif defined(VARYING_COLOR)
varying lowp vec4 point_color;

#endif

void main(void)
{
	lowp vec4 tex_color = texture2D(diffuse_texture, gl_PointCoord);

	gl_FragColor = tex_color
#if defined(CONSTANT_COLOR)
				 * global_color;
#elif defined(VARYING_COLOR)
				 * point_color;
#endif
}

