#version 100
uniform lowp vec4 global_color;

uniform lowp sampler2D glyph_texture;
uniform lowp vec4 glyph_color;
varying highp vec2 glyph_tex_coord;

uniform lowp sampler2D glyph_outline_texture;
uniform lowp vec4 outline_color;
uniform bool glyph_outline_texture_is_valid;

void main(void)
{
	lowp float glyph_tex_a = texture2D(glyph_texture, glyph_tex_coord).a;
	lowp float outline_tex_a = texture2D(glyph_outline_texture, glyph_tex_coord).a * float(glyph_outline_texture_is_valid);
	
	gl_FragColor = global_color * vec4(mix(outline_color.rgb, glyph_color.rgb, glyph_tex_a),
									   clamp(glyph_tex_a + outline_tex_a, 0.0, 1.0));
}
