#version 100
uniform mat4 projection_mx;
uniform mat4 model_view_mx;

attribute vec3 v_position;
attribute vec2 v_tex_coord_0;

uniform mat4 glyph_texture_mx;
varying highp vec2 glyph_tex_coord;

uniform vec2 shadow_offset;

void main()
{
	mat4 offset_mx = mat4(vec4(1,0,0,0), vec4(0,1,0,0), vec4(0,0,1,0), vec4(shadow_offset.x, shadow_offset.y, 0, 1.0));
	gl_Position = projection_mx * offset_mx * model_view_mx * vec4(v_position, 1.0);
	glyph_tex_coord = (glyph_texture_mx * vec4(v_tex_coord_0, 0, 1)).xy;
}
