#version 100
uniform lowp vec4 global_color;

uniform lowp sampler2D glyph_texture;
varying highp vec2 glyph_tex_coord;

uniform lowp sampler2D glyph_outline_texture;
uniform bool glyph_outline_texture_is_valid;

uniform lowp vec4 shadow_color;

void main(void)
{
	lowp float glyph_tex_a = texture2D(glyph_texture, glyph_tex_coord).a;
	lowp float outline_tex_a = texture2D(glyph_outline_texture, glyph_tex_coord).a * float(glyph_outline_texture_is_valid);
	
	gl_FragColor = global_color * vec4(shadow_color.rgb, clamp(glyph_tex_a + outline_tex_a, 0.0, 1.0));
}
